image: docker:latest
services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay
  SPRING_PROFILES_ACTIVE: gitlab-ci

stages:
  - package


docker-build:
  stage: package
  script:
  - docker build -t registry.gitlab.com/anish.kuti/elasticsearch .
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
  - docker push registry.gitlab.com/anish.kuti/elasticsearch
